Create new or update existing run entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of run entities to be created or updated

Array [
idstring or null
bha_componentsstring or null
bha_typestring or null
bit_manufacturerstring or null
bit_modelstring or null
bit_run_numberinteger or null, (int32)
bit_serial_numberstring or null
hole_sizenumber or null, (double)
bit_typestring or null
hole_bottom_azimuthnumber or null, (double)
hole_bottom_mdnumber or null, (double)
hole_bottom_tvdnumber or null, (double)
hole_bottom_inclinationnumber or null, (double)
data_sourcestring or null
drill_thru_formationstring or null
drilling_distancenumber or null, (double)
dull_gradestring or null
durationnumber or null, (double)
end_datestring or null, (date-time)
max_dlsnumber or null, (double)
max_flow_ratenumber or null, (double)
max_inclinationnumber or null, (double)
max_sppnumber or null, (double)
max_total_rpmnumber or null, (double)
max_wobnumber or null, (double)
min_dlsnumber or null, (double)
min_flow_ratenumber or null, (double)
min_sppnumber or null, (double)
min_total_rpmnumber or null, (double)
min_wobnumber or null, (double)
motor_bend_anglenumber or null, (double)
motor_diameternumber or null, (double)
motor_manufacturerstring or null
motor_modelstring or null
motor_serial_numberstring or null
mud_densitynumber or null, (double)
mud_typestring or null
nozzlesstring or null
obropnumber or null, (double)
reason4_poohstring or null
run_idstring or null
run_numberinteger or null, (int32)
run_objectivestring or null
section_idstring or null
start_datestring or null, (date-time)
hole_top_azimuthnumber or null, (double)
hole_top_mdnumber or null, (double)
hole_top_tvdnumber or null, (double)
hole_top_inclinationnumber or null, (double)
total_flow_areanumber or null, (double)
well_guidstring or null
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/runs \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "bha_components": "string",
      "bha_type": "string",
      "bit_manufacturer": "string",
      "bit_model": "string",
      "bit_run_number": 0,
      "bit_serial_number": "string",
      "hole_size": 0.1,
      "bit_type": "string",
      "hole_bottom_azimuth": 0.1,
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_bottom_inclination": 0.1,
      "data_source": "string",
      "drill_thru_formation": "string",
      "drilling_distance": 0.1,
      "dull_grade": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "max_dls": 0.1,
      "max_flow_rate": 0.1,
      "max_inclination": 0.1,
      "max_spp": 0.1,
      "max_total_rpm": 0.1,
      "max_wob": 0.1,
      "min_dls": 0.1,
      "min_flow_rate": 0.1,
      "min_spp": 0.1,
      "min_total_rpm": 0.1,
      "min_wob": 0.1,
      "motor_bend_angle": 0.1,
      "motor_diameter": 0.1,
      "motor_manufacturer": "string",
      "motor_model": "string",
      "motor_serial_number": "string",
      "mud_density": 0.1,
      "mud_type": "string",
      "nozzles": "string",
      "obrop": 0.1,
      "reason4_pooh": "string",
      "run_id": "string",
      "run_number": 0,
      "run_objective": "string",
      "section_id": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "hole_top_azimuth": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "hole_top_inclination": 0.1,
      "total_flow_area": 0.1,
      "well_guid": "string"
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RunUpsertDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RunUpsertDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RunUpsertDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "id": "string",
      "bha_components": "string",
      "bha_type": "string",
      "bit_manufacturer": "string",
      "bit_model": "string",
      "bit_run_number": 0,
      "bit_serial_number": "string",
      "hole_size": 0.1,
      "bit_type": "string",
      "hole_bottom_azimuth": 0.1,
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_bottom_inclination": 0.1,
      "data_source": "string",
      "drill_thru_formation": "string",
      "drilling_distance": 0.1,
      "dull_grade": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "max_dls": 0.1,
      "max_flow_rate": 0.1,
      "max_inclination": 0.1,
      "max_spp": 0.1,
      "max_total_rpm": 0.1,
      "max_wob": 0.1,
      "min_dls": 0.1,
      "min_flow_rate": 0.1,
      "min_spp": 0.1,
      "min_total_rpm": 0.1,
      "min_wob": 0.1,
      "motor_bend_angle": 0.1,
      "motor_diameter": 0.1,
      "motor_manufacturer": "string",
      "motor_model": "string",
      "motor_serial_number": "string",
      "mud_density": 0.1,
      "mud_type": "string",
      "nozzles": "string",
      "obrop": 0.1,
      "reason4_pooh": "string",
      "run_id": "string",
      "run_number": 0,
      "run_objective": "string",
      "section_id": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "hole_top_azimuth": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "hole_top_inclination": 0.1,
      "total_flow_area": 0.1,
      "well_guid": "string"
    }
  ],
  "updated_entities": [
    {
      "id": "string",
      "bha_components": "string",
      "bha_type": "string",
      "bit_manufacturer": "string",
      "bit_model": "string",
      "bit_run_number": 0,
      "bit_serial_number": "string",
      "hole_size": 0.1,
      "bit_type": "string",
      "hole_bottom_azimuth": 0.1,
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_bottom_inclination": 0.1,
      "data_source": "string",
      "drill_thru_formation": "string",
      "drilling_distance": 0.1,
      "dull_grade": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "max_dls": 0.1,
      "max_flow_rate": 0.1,
      "max_inclination": 0.1,
      "max_spp": 0.1,
      "max_total_rpm": 0.1,
      "max_wob": 0.1,
      "min_dls": 0.1,
      "min_flow_rate": 0.1,
      "min_spp": 0.1,
      "min_total_rpm": 0.1,
      "min_wob": 0.1,
      "motor_bend_angle": 0.1,
      "motor_diameter": 0.1,
      "motor_manufacturer": "string",
      "motor_model": "string",
      "motor_serial_number": "string",
      "mud_density": 0.1,
      "mud_type": "string",
      "nozzles": "string",
      "obrop": 0.1,
      "reason4_pooh": "string",
      "run_id": "string",
      "run_number": 0,
      "run_objective": "string",
      "section_id": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "hole_top_azimuth": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "hole_top_inclination": 0.1,
      "total_flow_area": 0.1,
      "well_guid": "string"
    }
  ],
  "entity_violations": [
    {
      "source": {
        "id": "string",
        "bha_components": "string",
        "bha_type": "string",
        "bit_manufacturer": "string",
        "bit_model": "string",
        "bit_run_number": 0,
        "bit_serial_number": "string",
        "hole_size": 0.1,
        "bit_type": "string",
        "hole_bottom_azimuth": 0.1,
        "hole_bottom_md": 0.1,
        "hole_bottom_tvd": 0.1,
        "hole_bottom_inclination": 0.1,
        "data_source": "string",
        "drill_thru_formation": "string",
        "drilling_distance": 0.1,
        "dull_grade": "string",
        "duration": 0.1,
        "end_date": "2019-08-24T14:15:22Z",
        "max_dls": 0.1,
        "max_flow_rate": 0.1,
        "max_inclination": 0.1,
        "max_spp": 0.1,
        "max_total_rpm": 0.1,
        "max_wob": 0.1,
        "min_dls": 0.1,
        "min_flow_rate": 0.1,
        "min_spp": 0.1,
        "min_total_rpm": 0.1,
        "min_wob": 0.1,
        "motor_bend_angle": 0.1,
        "motor_diameter": 0.1,
        "motor_manufacturer": "string",
        "motor_model": "string",
        "motor_serial_number": "string",
        "mud_density": 0.1,
        "mud_type": "string",
        "nozzles": "string",
        "obrop": 0.1,
        "reason4_pooh": "string",
        "run_id": "string",
        "run_number": 0,
        "run_objective": "string",
        "section_id": "string",
        "start_date": "2019-08-24T14:15:22Z",
        "hole_top_azimuth": 0.1,
        "hole_top_md": 0.1,
        "hole_top_tvd": 0.1,
        "hole_top_inclination": 0.1,
        "total_flow_area": 0.1,
        "well_guid": "string"
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}